edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer

## Class DefaultLemmatizer

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.AbstractLemmatizer
    - - edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.RuleBasedLemmatizer
      - - edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.EnglishLemmatizer
        - - edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.DefaultLemmatizer

- All Implemented Interfaces:
    Lemmatizer, UsesLogger

      public class DefaultLemmatizer
      extends EnglishLemmatizer

  Default Lemmatizer is the English lemmatizer.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.EnglishLemmatizer

      `irregularFormsFileName, rulesFileName`

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.RuleBasedLemmatizer

      `irregularForms, irregularFormsWordClasses, rules, rulesWordClasses`

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.AbstractLemmatizer

      `dictionary, lemmaSeparator, lemmaSeparatorString, lexicon, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultLemmatizer()` Create default lemmatizer.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.RuleBasedLemmatizer

      `cleanUpLemma, lemmatize, lemmatize, loadIrregularForms, loadRules`

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.AbstractLemmatizer

      `cantLemmatize, countLemmata, getLemmaSeparator, getLogger, isCompoundLemma, joinLemmata, joinLemmata, setDictionary, setLexicon, setLogger, splitLemma`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.lemmatizer.Lemmatizer

      `cantLemmatize, countLemmata, getLemmaSeparator, isCompoundLemma, joinLemmata, joinLemmata, lemmatize, lemmatize, setDictionary, setLexicon, splitLemma`

- - ### Constructor Detail

    - #### DefaultLemmatizer

          public DefaultLemmatizer()
                            throws java.lang.Exception

      Create default lemmatizer.
      Throws:
        `java.lang.Exception`